This forum is no longer active. Please post your questions to our new community site

upgrading to rails 2.3.2

Subscribe to upgrading to rails 2.3.2 8 post(s), 3 voice(s)

 
Avatar euwero 9 post(s)

Hi friends of RubyStack,
is there a way to upgrade the bitnami-rubystack-1.4-beta-1-linux-installer.bin to rails 2.3.2?
Regards
Eugen

 
Avatar Beltrán Rueda Administrator 3,714 post(s)

Hi,

I have tried on Linux and it is only necessary to run the following command into the rubyconsole:

$ ./rubyconsole
$ gem update rails
Updating installed gems
Updating rails
Successfully installed rake-0.8.4
Successfully installed activesupport-2.3.2
Successfully installed activerecord-2.3.2
Successfully installed actionpack-2.3.2
Successfully installed actionmailer-2.3.2
Successfully installed activeresource-2.3.2
Successfully installed rails-2.3.2
Gems updated: rake, activesupport, activerecord, actionpack, actionmailer, activeresource, rails

Cheers

 
Avatar euwero 9 post(s)

Hi,
OK and what about ruby? On the site
http://rubyonrails.org/download they recommend ruby 1.8.7.
Regards
Eugen

 
Avatar Beltrán Rueda Administrator 3,714 post(s)

Hi,

To update ruby is a bit difficult. Maybe you can compile it from source but you will find several problems: headers, libraries, etc. We will try to update Ruby in the Stack.

Cheers.

 
Avatar euwero 9 post(s)

Hi,
thanks for answers. I think other friends of RubyStack would be glad too for updating to Ruby 1.8.7-p72.
Regards
Eugen

 
Avatar euwero 9 post(s)

Hi,
I tried “gem update rails”.
When starting my project I get several errors. I don’t believe that updating rails is all.
If you are interested in getting more information, I will try it again and send you the logdata.
Let me know, please.
Regards
Eugen

 
Avatar Beltrán Rueda Administrator 3,714 post(s)

Hi,

Yes please, it would be good if you post in the forum (using < pre > < code > tags to show code) or you can send me the log files to beltran at bitnami dot org. We will try to help you.

Cheers.

 
Avatar MySchizoBuddy 22 post(s)

First update Rubygems then rails

$ sudo gem install rubygems-update
$ sudo update_rubygems
$ sudo gem update
$ sudo gem update --system
$ sudo gem install rails